BuildArch:      noarch
%global gitrev  7835369
Name:           plasma-applet-thermal-monitor
Version:        1.2.9
Release:        2%{?dist}
Summary:        Thermal Monitor

License:       GPLv2 
URL:            https://github.com/kotelnik/plasma-applet-thermal-monitor
Source0:        plasma-applet-thermal-monitor-%{version}.tar.gz

Patch0: 0001-let-var-systemmonitorAvailableSources-refer-to-an-empty-array.patch
Patch1: 0002-Fix-Plasmashell-crash-when-opening-config.patch
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtgraphicaleffects
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       fontawesome-fonts
Requires:       kf5-filesystem
Requires:       plasma-desktop
Requires:       qt5-qtgraphicaleffects


%description
Plasma 5 applet for monitoring CPU, GPU and other available temperature sensors.

%prep
%autosetup -p1


%build
%if 0%{?fedora} >= 33
%{cmake_kf5}
%else
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%endif

%make_build -C %{_target_platform}


%install
%make_install DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --all-name

%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/kservices5/plasma-applet-org.kde.thermalMonitor.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.thermalMonitor.desktop
%{_datadir}/metainfo/org.kde.thermalMonitor.appdata.xml
%{_kf5_datadir}/plasma/plasmoids/org.kde.thermalMonitor/

%changelog
* Sun Mar 17 2019 Martin Nad - 1.2.9-0.3.git.7835369
- rebuilt

* Sun Nov 05 2017 Martin - 1.2.8-0.2.git0002326
- update to latest git

* Sun Sep 24 2017 Martin - 1.2.8-0.1.git6b70306
- update to latest git

* Wed Jun 14 2017 Martin
- Initial package
